Dialogs module - Defect #370

Multiple dialogs break in web client
09/12/2011 04:18 PM - Scott Butler
Description
In webclient, a function like this will break:

var ans = globals.DIALOGS.showQuestionDialog("", "one","a", "b")
var ans2 = globals.DIALOGS.showQuestionDialog("","two","a", "b")

So if you have a situation where you are showing a second dialog, based on the result from the first dialog, then it breaks. Works
fine in Smart Client, breaks in Web Client. The result is that the main form gets showin the the second form in dialog instead of the
dialog you would expect

History

#1 - 09/15/2011 10:10 AM - Fabrice Roger-Dalbert

Scott Butler wrote:

In webclient, a function like this will break:

(-]

So if you have a situation where you are showing a second dialog, based on the result from the first dialog, then it breaks. Works fine in Smart
Client, breaks in Web Client. The result is that the main form gets showin the the second form in dialog instead of the dialog you would expect

| had the same problem, this was solved by upgrading to Servoy 5.2.10

#2 - 09/25/2011 09:34 PM - Robert Ivens

- Status changed from New to Closed

Sorry for the delayed response.

Just tested it with 6.0.1 and 5.2.10 and can't reproduce it.
| assume Fabrice is right and the new Servoy version(s) fix it.
